<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: VelGen_Controller Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_vel_gen___controller-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">VelGen_Controller Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for VelGen_Controller:</div>
<div class="dyncontent">
<div class="center"><img src="class_vel_gen___controller__inherit__graph.png" border="0" usemap="#_vel_gen___controller_inherit__map" alt="Inheritance graph"/></div>
<map name="_vel_gen___controller_inherit__map" id="_vel_gen___controller_inherit__map">
<area shape="rect" id="node2" href="class_i_vel_controller.html" title="IVelController" alt="" coords="19,5,118,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af042b84af691bd7314e74e49864e0512"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vel_gen___controller.html#af042b84af691bd7314e74e49864e0512">VelGen_Controller</a> ()</td></tr>
<tr class="separator:af042b84af691bd7314e74e49864e0512"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7a898c37fbd7b863040e56688cb93c0"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vel_gen___controller.html#ad7a898c37fbd7b863040e56688cb93c0">process</a> (in obj, in x, in t)</td></tr>
<tr class="separator:ad7a898c37fbd7b863040e56688cb93c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a05939da5b4749f2d52fc2e4aeaa5079e"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vel_gen___controller.html#a05939da5b4749f2d52fc2e4aeaa5079e">debt</a></td></tr>
<tr class="separator:a05939da5b4749f2d52fc2e4aeaa5079e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87366ab5a46b2d25a6e8c903a5ddf122"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vel_gen___controller.html#a87366ab5a46b2d25a6e8c903a5ddf122">deb1</a></td></tr>
<tr class="separator:a87366ab5a46b2d25a6e8c903a5ddf122"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9e0e714f3afc83a1f2835c93703e100"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vel_gen___controller.html#ae9e0e714f3afc83a1f2835c93703e100">deb2</a></td></tr>
<tr class="separator:ae9e0e714f3afc83a1f2835c93703e100"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1097f115567c18cd55f33ee1ecc5e127"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vel_gen___controller.html#a1097f115567c18cd55f33ee1ecc5e127">deb3</a></td></tr>
<tr class="separator:a1097f115567c18cd55f33ee1ecc5e127"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fa5727b94b0936111f16661976c4a3e"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_vel_gen___controller.html#a8fa5727b94b0936111f16661976c4a3e">debi</a></td></tr>
<tr class="separator:a8fa5727b94b0936111f16661976c4a3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af042b84af691bd7314e74e49864e0512"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af042b84af691bd7314e74e49864e0512">&#9670;&nbsp;</a></span>VelGen_Controller()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function <a class="el" href="class_vel_gen___controller.html">VelGen_Controller</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad7a898c37fbd7b863040e56688cb93c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7a898c37fbd7b863040e56688cb93c0">&#9670;&nbsp;</a></span>process()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function process </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a87366ab5a46b2d25a6e8c903a5ddf122"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87366ab5a46b2d25a6e8c903a5ddf122">&#9670;&nbsp;</a></span>deb1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property deb1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9e0e714f3afc83a1f2835c93703e100"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9e0e714f3afc83a1f2835c93703e100">&#9670;&nbsp;</a></span>deb2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property deb2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1097f115567c18cd55f33ee1ecc5e127"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1097f115567c18cd55f33ee1ecc5e127">&#9670;&nbsp;</a></span>deb3</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property deb3</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8fa5727b94b0936111f16661976c4a3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fa5727b94b0936111f16661976c4a3e">&#9670;&nbsp;</a></span>debi</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property debi</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a05939da5b4749f2d52fc2e4aeaa5079e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05939da5b4749f2d52fc2e4aeaa5079e">&#9670;&nbsp;</a></span>debt</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property debt</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>Controllers/<a class="el" href="_vel_gen___controller_8m.html">VelGen_Controller.m</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
